List event comments
GET
/api/events/comments
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Get, RequestUri = new Uri("https://api.eventpoint.io/api/events/comments"), Headers = { { "x-api-key", "<x-api-key>" }, },};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://api.eventpoint.io/api/events/comments';const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.eventpoint.io/api/events/comments \ --header 'x-api-key: <x-api-key>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”eventid
string format: uuid
The event identifier.
Responses
Section titled “Responses”OK
object
page
null | integer | string format: int64
itemsPerPage
null | integer | string format: int64
continuationToken
null | string
cacheToken
null | string
count
integer | string format: int64
numberOfPages
integer | string format: int64
data
Array<object> | null
object
user
object
name
null | string
timezone
null | string
imageAssetId
null | string format: uuid
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
comment
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
organizationId
null | string format: uuid
projectId
null | string format: uuid
eventId
null | string format: uuid
personId
null | string format: uuid
userId
string format: uuid
objId
string format: uuid
objType
null | string
parentId
null | string format: uuid
topLevelId
string format: uuid
currentLevel
integer | string format: int32
bodyText
null | string
bodyHtml
null | string
publish
boolean
commentFlag
commentType
reactionSummary
null | string
user
object
name
null | string
timezone
null | string
imageAssetId
null | string format: uuid
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
sort
null | string
object
page
null | integer | string format: int64
itemsPerPage
null | integer | string format: int64
continuationToken
null | string
cacheToken
null | string
count
integer | string format: int64
numberOfPages
integer | string format: int64
data
Array<object> | null
object
user
object
name
null | string
timezone
null | string
imageAssetId
null | string format: uuid
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
comment
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
organizationId
null | string format: uuid
projectId
null | string format: uuid
eventId
null | string format: uuid
personId
null | string format: uuid
userId
string format: uuid
objId
string format: uuid
objType
null | string
parentId
null | string format: uuid
topLevelId
string format: uuid
currentLevel
integer | string format: int32
bodyText
null | string
bodyHtml
null | string
publish
boolean
commentFlag
commentType
reactionSummary
null | string
user
object
name
null | string
timezone
null | string
imageAssetId
null | string format: uuid
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
sort
null | string
Example
{ "data": [ { "comment": { "commentFlag": "Ok", "commentType": "Comment" } } ], "sortDir": "Asc", "request": { "sortDir": "Asc" }}object
page
null | integer | string format: int64
itemsPerPage
null | integer | string format: int64
continuationToken
null | string
cacheToken
null | string
count
integer | string format: int64
numberOfPages
integer | string format: int64
data
Array<object> | null
object
user
object
name
null | string
timezone
null | string
imageAssetId
null | string format: uuid
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
comment
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
organizationId
null | string format: uuid
projectId
null | string format: uuid
eventId
null | string format: uuid
personId
null | string format: uuid
userId
string format: uuid
objId
string format: uuid
objType
null | string
parentId
null | string format: uuid
topLevelId
string format: uuid
currentLevel
integer | string format: int32
bodyText
null | string
bodyHtml
null | string
publish
boolean
commentFlag
commentType
reactionSummary
null | string
user
object
name
null | string
timezone
null | string
imageAssetId
null | string format: uuid
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
sort
null | string
Example
{ "data": [ { "comment": { "commentFlag": "Ok", "commentType": "Comment" } } ], "sortDir": "Asc", "request": { "sortDir": "Asc" }}Forbidden
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}